{
	"artifacts" : 
	[
		{
			"path" : "RelWithDebInfo/visualizer.exe"
		},
		{
			"path" : "RelWithDebInfo/visualizer.pdb"
		}
	],
	"backtrace" : 1,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"link_directories",
			"target_link_libraries",
			"add_definitions",
			"include_directories"
		],
		"files" : 
		[
			"CMakeLists.txt"
		],
		"nodes" : 
		[
			{
				"file" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 51,
				"parent" : 0
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 26,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 54,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 58,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 6,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 19,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /W3 /GR /EHsc /MD /Zi /O2 /Ob1 /DNDEBUG -std:c++14"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "_AMD64_"
				},
				{
					"backtrace" : 5,
					"define" : "_WIN64"
				},
				{
					"backtrace" : 5,
					"define" : "_WINDOWS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include/imgui"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include/glm"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					1
				],
				"standard" : "14"
			},
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				5,
				6,
				7,
				8,
				9,
				10
			]
		},
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /W3 /MD /Zi /O2 /Ob1 /DNDEBUG"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 5,
					"define" : "_AMD64_"
				},
				{
					"backtrace" : 5,
					"define" : "_WIN64"
				},
				{
					"backtrace" : 5,
					"define" : "_WINDOWS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include/imgui"
				},
				{
					"backtrace" : 6,
					"path" : "C:/Users/Pima/Desktop/visualizer/include/glm"
				}
			],
			"language" : "C",
			"sourceIndexes" : 
			[
				4
			]
		}
	],
	"dependencies" : 
	[
		{
			"id" : "ZERO_CHECK::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "visualizer::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/DWIN32 /D_WINDOWS /W3 /GR /EHsc /MD /Zi /O2 /Ob1 /DNDEBUG",
				"role" : "flags"
			},
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL",
				"role" : "flags"
			},
			{
				"fragment" : "/subsystem:console",
				"role" : "flags"
			},
			{
				"backtrace" : 2,
				"fragment" : "-LIBPATH:C:\\Users\\Pima\\Desktop\\visualizer\\lib",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "glfw3.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "opengl32.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "gdi32.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "winmm.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "visualizer",
	"nameOnDisk" : "visualizer.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				11,
				12,
				13
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "serialcomm.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "visualization.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "render3d.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 1,
			"path" : "glad.c",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui_draw.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui_tables.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui_widgets.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui_impl_glfw.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"compileGroupIndex" : 0,
			"path" : "include/imgui/imgui_impl_opengl3.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 1,
			"path" : "serialcomm.hpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "visualization.hpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 1,
			"path" : "render3d.hpp",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "EXECUTABLE"
}
